New AppCode 2017.1 EAP, build 171.3019.2

Update: we found an important regression in this EAP build with indexing/building symbols. We are investigating the problem, for the moment please use the previous EAP build.

New AppCode 2017.1 EAP (build 171.3019.2) is available for download on our confluence page (if using previous 2017.1 EAP build, the patch update is also available). This build delivers the following important fixes:

  • Problem with Override/Implement in the mixed code (OC-14856)
  • Regression with macro completion in the previous 2017.1 EAP (OC-14851)
  • Regression with auto-synthesized ivars in Objective-C (OC-14934)
  • Resolve and completion for self.init() and super.init() calls in Swift (OC-11928)

The full release notes are available here.

Your AppCode team
JetBrains
The Drive to Develop

This entry was posted in Announcement and tagged , . Bookmark the permalink.

8 Responses to New AppCode 2017.1 EAP, build 171.3019.2

  1. Sofiane says:

    Not sure if it’s my environment but this patch release has broken “building symbols” for me in my objC/swift project. It just hangs not even starting any progress and bumps the cpu usage to 700%. I believe this was addressed in a previous EAP patch release, but might have regressed…I’ve reverted to the EAP released on Feb 1 and it works just fine.

  2. Alex says:

    Hi team, would be good if you disabled the update while this isn’t fixed..

  3. Alexander Marcenyuk says:

    +++

  4. Valeriy says:

    On my project previous AppCode build 171.2822.6 is much slower than Xcode too.
    сlean build: ~ 14min Xcode / ~ 22 min AppCode
    small changes: ~ 15sec to recompile on Xcode / ~ 30 sec on AppCode

    • Stanislav Dombrovsky says:

      The issue mentioned in this post is not related to the build time. It’s related to initial projects symbols’ caching. For building AppCode invokes xcodebuild, so the speed of the compilation is the speed of xcodebuild and we cannot make it faster.

  5. louis says:

    Hello

    when installing version AppCode-171.2822.6 I get the message “This build of appcode has expired” …
    I’m having a license for the non-EAP version but I want to use the eap … how to i do this ?

Leave a Reply to Sofiane Cancel reply

Your email address will not be published. Required fields are marked *